package introspect;

import org.junit.Test;

public class MainTest {
    static final String outputFile = "out.txt";
    static final String correct = "test/introspect/Correct/";
    static final String build = "build/classes/";
    static final String patterns[] = {"m[1-2][0-9]","c1[0-9]"};
    
    public MainTest() {
    }

    public void doit(String test) {
        RegTest.Utility.redirectStdOut(outputFile);
        Main.main(build+test);
        RegTest.Utility.validate(outputFile, correct+test+".prog1.pl", true, patterns);
  }

    @Test
    public void itself() {
        doit("introspect");
    }
    
    @Test
    public void p1package() {
        doit("p1package");
    }
}
