package introspect;

import PrologDB.Table;
import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.lang.reflect.Field;

public class HarvestByteCodes {
    int classid;
    int memid;
    
    /** initializes the identifier counters to 10 each*/
    public HarvestByteCodes() {
        classid = 10;
        memid = 10;
    }
    
    /** 
     * return the string of the next method id
     * @return 
     */
    String mid() { 
        return "m"+memid++;
    }

    /** removes "java.lang." from all references
     * @param x -- input string to truncate
     * @return shortened string.
     */
    public String javaLangTrim(String x) {
        x = x.replace("java.lang.", "");
        return x ;
    }

    /**
     * main method to add tuples of a given class object
     * @param c -- the Class object
     * @param bcClass -- MDELite bcClass table
     * @param bcMember -- MDELite bcMember table
     */
    public void addTuples(Class<?> c, Table bcClass, Table bcMember) {
        //TODO
    }

    /** bit masks used in querying byte code structures */
    static final public int publicMask = Modifier.PUBLIC;
    static final public int staticMask = Modifier.STATIC;
    static final public int privateMask = Modifier.PRIVATE;
    
    // never used -- only here for debugging
    static public int[][] unused, anotherUnused[];

    /**
     * add tuples to MDElite bcMember table about methods in class c
     * @param c -- class object
     * @param cid -- MDELite identifier of this classes tuple
     * @param bcMembers -- MDELite bcMember table
     */
    public void addMethods(Class<?> c, String cid, Table bcMembers) {
        //TODO
    }

    /**
     * add tuples to MDElite bcMember table about constructors in class c
     * @param c -- class object
     * @param cid -- MDELite identifier of this classes tuple
     * @param bcMembers -- MDELite bcMember table
     */
    public void addConstructors(Class<?> c, String cid, Table bcMembers) {
        //TODO
    }

    /**
     * add tuples to MDElite bcMember table about fields in class c
     * @param c -- class object
     * @param cid -- MDELite identifier of this classes tuple
     * @param bcMembers -- MDELite bcMember table
     */
    public void addFields(Class<?> c, String cid, Table bcMembers) {
        //TODO
    }

    /**
     * method returns the parameters of a method signature
     * the signature returned for this method is (Class[])
     * @param ptypes -- parameter types of the method
     * @return 
     */
    public String ExtractParams(Class<?>[] ptypes) {
        //TODO
        return null;
    }

    /**
     * converts a classfile type encoding into something
     * readable see http://docs.oracle.com/javase/6/docs/api/java/lang/Class.html#getName%28%29
     * @param x -- String of encoded type
     * @return -- beautified string that normal humans can read
     */
    public String convert(String x) {
        //TODO
        return null;
    }
}
